{
	"format_version": "1.19.0",
	"minecraft:spawn_rules": {
		"description": {
			"identifier": "agp:spout_clouds",
			"population_control": "monster"
		},
		"conditions": [
			{
				"minecraft:spawns_on_surface": {},
				"minecraft:spawns_underwater": {},
				"minecraft:brightness_filter": {
					"min": 11,
					"max": 15,
					"adjust_for_weather": true
				},
				"minecraft:difficulty_filter": {
					"min": "peaceful",
					"max": "hard"
				},
				"minecraft:delay_filter": {
					"min": 10,
					"max": 20,
					"identifier": "agp:spout_clouds",
					"spawn_chance": 10
				},
				"minecraft:height_filter": {
					"min": 48,
					"max": 62
				},
				"minecraft:density_limit": {
					"surface": 3
				},
				"minecraft:weight": {
					"default": 4
				},
				"minecraft:herd": {
					"min_size": 0,
					"max_size": 1
				},
				"minecraft:biome_filter": [
					{
						"all_of": [
							{
								"test": "has_biome_tag",
								"operator": "==",
								"value": "ocean"
							},
							{
								"test": "has_biome_tag",
								"operator": "==",
								"value": "warm"
							}
						]
					}
				]
			},
			{
				"minecraft:spawns_on_surface": {},
				"minecraft:spawns_underwater": {},
				"minecraft:brightness_filter": {
					"min": 11,
					"max": 15,
					"adjust_for_weather": true
				},
				"minecraft:difficulty_filter": {
					"min": "peaceful",
					"max": "hard"
				},
				"minecraft:delay_filter": {
					"min": 10,
					"max": 20,
					"identifier": "agp:spout_clouds",
					"spawn_chance": 12
				},
				"minecraft:density_limit": {
					"surface": 1
				},
				"minecraft:weight": {
					"default": 8
				},
				"minecraft:herd": {
					"min_size": 0,
					"max_size": 1
				},
				"minecraft:biome_filter": [
					{
						"test": "has_biome_tag",
						"operator": "==",
						"value": "beach"
					}
				]
			}
		]
	}
} //Made by ItzJeremicer